CanApi4 with older PCAN drivers

CAN Development Packages for Windows®
Post Reply
Murat.Ocakturk
Posts: 5
Joined: Wed 29. Jun 2016, 14:07

CanApi4 with older PCAN drivers

Post by Murat.Ocakturk » Tue 18. Oct 2016, 08:54

Hello,

I started to use PCAN developer 4 using my own C# wrapper. It is working successfully with old PEAK hardwares as well as PCAN USB FD. Everything seems good in my PC.

However, my application didn't work on my friend's PC which has older PCAN driver. "GetParam" function returns "driver not loaded" error when trying to request driver version (ERR_NODRIVER).

I'm using "pcan_usb" device type.

CanApi2 works OK in friend's PC.

Driver in PC-1: "PCAN_USB 4.1.0.16057 (KMDF, x64)" --> CanApi2 and CanApi4 works OK here.
Driver in PC-2: "PCAN_USB 3.8.2.10146 (KMDF, WLH_amd64)" --> CanApi2 is OK, but CanApi4 does not work.

Thanks,
Murat

K.Wagner
Software Development
Software Development
Posts: 767
Joined: Wed 22. Sep 2010, 13:36

Re: CanApi4 with older PCAN drivers

Post by K.Wagner » Tue 18. Oct 2016, 09:22

Hello,

the CanApi4 works wiht the drivers 4.x. Drivers 3.x and 4.x have different interfaces. Please update the drivers on the second computer. The drivers 4.x also support old hardware (backward compatibility).
Best regards,
Keneth

Post Reply